Skip to main content

Bulk reload machine accounts asynchronously

POST 

/machine-accounts/v1/bulk-reload-async

experimental

This API is currently in an experimental state. The API is subject to change based on feedback and further testing. You must include the X-SailPoint-Experimental header and set it to true to use this endpoint.

Use this API to submit one task that reloads up to 100 machine accounts from their sources, and get the task ID. Machine accounts that can't be reloaded are skipped. When none of the machine accounts can be reloaded, the task completes with an error.

The request fails with 400 when ids is empty or has more than 100 entries.

A caller who owns the machine accounts can reload them. Other callers need the idn:mis-account:reload right. For a caller without the right, machine accounts they do not own are skipped.

When this capability is not enabled for the tenant, this API returns 403.

Request​

Responses​

Async task details.